Package Name metronome
Status SUCCESS
Last Build Date 08.3.2022 16:00
Repo URL https://aur.archlinux.org/metronome.git

Build Output
:: Synchronizing package databases...
core downloading...
extra downloading...
community downloading...
multilib downloading...
abs_cd-local downloading...
==> Making package: metronome 1.0.0-1 (Tue 08 Mar 2022 04:00:18 PM UTC)
==> Checking runtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
looking for conflicting packages...
Packages (80) adobe-source-code-pro-fonts-2.038ro+1.058it+1.018var-1 adwaita-icon-theme-41.0-1 at-spi2-atk-2.38.0-1 at-spi2-core-2.42.0-1 atk-2.36.0-1 avahi-0.8+22+gfd482a7-3 cairo-1.17.4-5 cantarell-fonts-1:0.303.1-1 dconf-0.40.0-1 desktop-file-utils-0.26-2 fontconfig-2:2.13.96-1 freetype2-2.11.1-1 fribidi-1.0.11-1 gdk-pixbuf2-2.42.6-2 glib-networking-1:2.70.1-1 graphite-1:1.3.14-1 gsettings-desktop-schemas-41.0-1 gtk-update-icon-cache-1:4.6.1-3 gtk3-1:3.24.33-1 harfbuzz-4.0.0-1 hicolor-icon-theme-0.17-2 iso-codes-4.9.0-1 json-glib-1.6.6-1 lcms2-2.13.1-1 libcloudproviders-0.3.1-2 libcolord-1.4.6-1 libcups-1:2.4.1-1 libdaemon-0.14-5 libdatrie-0.2.13-1 libdrm-2.4.110-1 libepoxy-1.5.9-1 libgee-0.20.5-1 libglvnd-1.4.0-1 libjpeg-turbo-2.1.3-1 libomxil-bellagio-0.9.3-3 libpciaccess-0.16-2 libpng-1.6.37-3 libproxy-0.4.17-6 librsvg-2:2.52.6-1 libsoup-2.74.2-2 libsoup3-3.0.4-2 libstemmer-2.2.0-1 libthai-0.1.29-1 libtiff-4.3.0-1 libunwind-1.6.2-1 libusb-1.0.25-2 libx11-1.7.3.1-1 libxau-1.0.9-3 libxcb-1.14-1 libxcomposite-0.4.5-3 libxcursor-1.2.0-2 libxdamage-1.1.5-3 libxdmcp-1.1.3-3 libxext-1.3.4-3 libxfixes-6.0.0-1 libxft-2.3.4-1 libxi-1.8-1 libxinerama-1.1.4-3 libxkbcommon-1.4.0-1 libxrandr-1.5.2-3 libxrender-0.9.10-4 libxshmfence-1.3-2 libxtst-1.2.3-4 libxxf86vm-1.1.4-4 llvm-libs-13.0.1-1 lm_sensors-1:3.6.0.r41.g31d1f125-1 lzo-2.10-3 mesa-21.3.7-2 pango-1:1.50.5-1 pixman-0.40.0-1 rest-0.8.1+r4+ge5ee6ef-1 shared-mime-info-2.0+115+gd74a913-1 tracker3-3.2.1-2 vulkan-icd-loader-1.2.203-1 wayland-1.20.0-1 xcb-proto-1.14.1-5 xkeyboard-config-2.35.1-1 xorgproto-2021.5-1 granite-6.2.0-2 gstreamer-1.20.0-3
Total Download Size: 7.98 MiB
Total Installed Size: 416.74 MiB
:: Proceed with installation? [Y/n]
:: Retrieving packages...
gtk3-1:3.24.33-1-x86_64 downloading...
granite-6.2.0-2-x86_64 downloading...
desktop-file-utils-0.26-2-x86_64 downloading...
gtk-update-icon-cache-1:4.6.1-3-x86_64 downloading...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
installing lzo...
installing libpng...
installing graphite...
installing harfbuzz...
Optional dependencies for harfbuzz
cairo: hb-view program [pending]
chafa: hb-view program
installing freetype2...
installing fontconfig...
Creating fontconfig configuration...
Rebuilding fontconfig cache...
installing xcb-proto...
installing libxdmcp...
installing libxau...
installing libxcb...
installing xorgproto...
installing libx11...
installing libxext...
installing libxrender...
installing pixman...
installing cairo...
installing libjpeg-turbo...
Optional dependencies for libjpeg-turbo
java-runtime>11: for TurboJPEG Java wrapper
installing libtiff...
Optional dependencies for libtiff
freeglut: for using tiffgt
installing shared-mime-info...
installing gdk-pixbuf2...
Optional dependencies for gdk-pixbuf2
libwmf: Load .wmf and .apm
libopenraw: Load .dng, .cr2, .crw, .nef, .orf, .pef, .arw, .erf, .mrw, and .raf
libavif: Load .avif
libheif: Load .heif, .heic, and .avif
librsvg: Load .svg, .svgz, and .svg.gz [pending]
webp-pixbuf-loader: Load .webp
installing atk...
installing libxfixes...
installing libxcursor...
Optional dependencies for libxcursor
gnome-themes-standard: fallback icon theme
installing libxinerama...
installing libxrandr...
installing libxi...
installing libepoxy...
installing dconf...
installing libxcomposite...
installing libxdamage...
installing libdatrie...
installing libthai...
installing libxft...
installing fribidi...
installing pango...
installing libxtst...
installing at-spi2-core...
Optional dependencies for at-spi2-core
dbus-broker: Alternative bus implementation
installing at-spi2-atk...
installing wayland...
installing xkeyboard-config...
installing libxkbcommon...
Optional dependencies for libxkbcommon
libxkbcommon-x11: xkbcli interactive-x11
wayland: xkbcli interactive-wayland [installed]
installing hicolor-icon-theme...
installing librsvg...
installing gtk-update-icon-cache...
installing adwaita-icon-theme...
installing json-glib...
installing desktop-file-utils...
installing libpciaccess...
installing libdrm...
installing libxxf86vm...
installing libxshmfence...
installing libomxil-bellagio...
installing libunwind...
installing llvm-libs...
installing lm_sensors...
Optional dependencies for lm_sensors
rrdtool: for logging with sensord
perl: for sensor detection and configuration convert [installed]
installing libglvnd...
installing vulkan-icd-loader...
Optional dependencies for vulkan-icd-loader
vulkan-driver: packaged vulkan driver
installing mesa...
Optional dependencies for mesa
opengl-man-pages: for the OpenGL API man pages
mesa-vdpau: for accelerated video playback
libva-mesa-driver: for accelerated video playback
installing cantarell-fonts...
installing lcms2...
installing libcolord...
installing libproxy...
Optional dependencies for libproxy
networkmanager: NetworkManager configuration module
perl: Perl bindings [installed]
python: Python 3.x bindings [installed]
libproxy-webkit: PAC proxy support (via WebKit)
installing adobe-source-code-pro-fonts...
installing gsettings-desktop-schemas...
installing glib-networking...
installing libsoup...
Optional dependencies for libsoup
samba: Windows Domain SSO
installing rest...
installing libdaemon...
installing avahi...
Optional dependencies for avahi
gtk3: avahi-discover, avahi-discover-standalone, bshell, bssh, bvnc [pending]
qt5-base: qt5 bindings
libevent: libevent bindings
nss-mdns: NSS support for mDNS
python-twisted: avahi-bookmarks
python-gobject: avahi-bookmarks, avahi-discover
python-dbus: avahi-bookmarks, avahi-discover
installing libusb...
installing libcups...
installing iso-codes...
installing libcloudproviders...
installing libstemmer...
installing libsoup3...
Optional dependencies for libsoup3
samba: Windows Domain SSO
installing tracker3...
Optional dependencies for tracker3
libsoup: Alternative remoting backend [installed]
installing gtk3...
Optional dependencies for gtk3
evince: Default print preview command
installing libgee...
installing granite...
installing gstreamer...
Optional dependencies for gstreamer
python: gst-plugins-doc-cache-generator [installed]
:: Running post-transaction hooks...
( 1/14) Creating system user accounts...
Creating group 'avahi' with GID 973.
Creating user 'avahi' (Avahi mDNS/DNS-SD daemon) with UID 973 and GID 973.
( 2/14) Reloading system manager configuration...
Skipped: Current root is not booted.
( 3/14) Arming ConditionNeedsUpdate...
( 4/14) Updating the MIME type database...
( 5/14) Updating fontconfig configuration...
( 6/14) Reloading system bus configuration...
Skipped: Current root is not booted.
( 7/14) Warn about old perl modules
( 8/14) Updating fontconfig cache...
( 9/14) Probing GDK-Pixbuf loader modules...
(10/14) Updating GIO module cache...
(11/14) Compiling GSettings XML schema files...
(12/14) Probing GTK3 input method modules...
(13/14) Updating icon theme caches...
(14/14) Updating the desktop file MIME type cache...
==> Checking buildtime dependencies...
==> Installing missing dependencies...
resolving dependencies...
:: There are 8 providers available for ttf-font:
:: Repository extra
1) gnu-free-fonts 2) noto-fonts 3) ttf-bitstream-vera 4) ttf-croscore 5) ttf-dejavu
:: Repository community
6) ttf-droid 7) ttf-ibm-plex 8) ttf-liberation
Enter a number (default=1):
looking for conflicting packages...
Packages (47) aom-3.3.0-1 dav1d-0.9.2-1 docbook-xml-4.5-9 docbook-xsl-1.79.2-7 gd-2.3.3-3 ghostscript-9.55.0-4 giflib-5.2.1-2 glib2-docs-2.70.4-2 gnu-free-fonts-20120503-8 graphviz-2.50.0-2 gsfonts-20200910-2 gtk-doc-1.33.2-1 gts-0.7.6.121130-2 ijs-0.35-3 jbig2dec-0.19-1 libavif-0.9.3-1 libde265-1.0.8-2 libheif-1.12.0-3 libice-1.0.10-3 libidn-1.38-1 libpaper-1.1.28-1 libsm-1.2.3-2 libwebp-1.2.2-1 libxaw-1.0.14-1 libxmu-1.1.3-2 libxpm-3.5.13-2 libxslt-1.1.35-1 libxt-1.2.1-1 libyuv-r2266+eb6e7bb6-1 netpbm-10.73.37-1 ninja-1.10.2-1 openjpeg2-2.4.0-1 python-anytree-2.8.0-5 python-appdirs-1.4.4-6 python-lxml-4.7.1-1 python-more-itertools-8.10.0-4 python-ordered-set-4.0.2-6 python-packaging-20.9-7 python-pygments-2.11.2-1 python-pyparsing-3.0.1-1 python-setuptools-1:59.3.0-1 rav1e-0.4.1-1 run-parts-5.5-1 svt-av1-0.9.0-2 x265-3.5-3 meson-0.61.2-1 vala-0.54.7-1
Total Download Size: 1.60 MiB
Total Installed Size: 235.90 MiB
:: Proceed with installation? [Y/n]
:: Retrieving packages...
glib2-docs-2.70.4-2-x86_64 downloading...
libheif-1.12.0-3-x86_64 downloading...
checking keyring...
checking package integrity...
loading package files...
checking for file conflicts...
checking available disk space...
:: Processing package changes...
installing python-appdirs...
installing python-more-itertools...
installing python-ordered-set...
installing python-pyparsing...
Optional dependencies for python-pyparsing
python-railroad-diagrams: for generating Railroad Diagrams
python-jinja: for generating Railroad Diagrams
installing python-packaging...
installing python-setuptools...
installing ninja...
installing meson...
installing libxslt...
Optional dependencies for libxslt
python: Python bindings [installed]
installing docbook-xml...
installing docbook-xsl...
installing glib2-docs...
installing python-lxml...
Optional dependencies for python-lxml
python-beautifulsoup4: support for beautifulsoup parser to parse not well formed HTML
python-cssselect: support for cssselect
python-html5lib: support for html5lib parser
python-lxml-docs: offline docs
installing python-pygments...
installing python-anytree...
installing gtk-doc...
Optional dependencies for gtk-doc
dblatex: PDF support
installing libice...
installing libsm...
installing libxt...
installing libxpm...
installing giflib...
installing libwebp...
Optional dependencies for libwebp
freeglut: vwebp viewer
installing aom...
installing dav1d...
Optional dependencies for dav1d
dav1d-doc: HTML documentation
installing rav1e...
installing svt-av1...
installing libyuv...
installing libavif...
installing libde265...
Optional dependencies for libde265
ffmpeg: for sherlock265
qt5-base: for sherlock265
sdl: dec265 YUV overlay output
installing x265...
installing libheif...
Optional dependencies for libheif
libjpeg: for heif-convert and heif-enc [installed]
libpng: for heif-convert and heif-enc [installed]
installing gd...
Optional dependencies for gd
perl: bdftogd script [installed]
installing libxmu...
installing libxaw...
installing jbig2dec...
installing run-parts...
installing libpaper...
installing ijs...
installing openjpeg2...
installing libidn...
installing ghostscript...
Optional dependencies for ghostscript
texlive-core: needed for dvipdf
gtk3: needed for gsx [installed]
installing netpbm...
installing gts...
installing gsfonts...
installing graphviz...
Warning: Could not load "/usr/lib/graphviz/libgvplugin_gdk.so.6" - It was found, so perhaps one of its dependents was not. Try ldd.
Warning: Could not load "/usr/lib/graphviz/libgvplugin_gtk.so.6" - It was found, so perhaps one of its dependents was not. Try ldd.
Warning: Could not load "/usr/lib/graphviz/libgvplugin_gdk.so.6" - It was found, so perhaps one of its dependents was not. Try ldd.
Warning: Could not load "/usr/lib/graphviz/libgvplugin_gtk.so.6" - It was found, so perhaps one of its dependents was not. Try ldd.
Optional dependencies for graphviz
mono: sharp bindings
guile: guile bindings [installed]
lua: lua bindings
ocaml: ocaml bindings
perl: perl bindings [installed]
python: python bindings [installed]
r: r bindings
tcl: tcl bindings
qt5-base: gvedit
gtk2: gtk output plugin
xterm: vimdot
installing gnu-free-fonts...
installing vala...
:: Running post-transaction hooks...
(1/7) Arming ConditionNeedsUpdate...
(2/7) Updating the MIME type database...
(3/7) Updating fontconfig configuration...
(4/7) Warn about old perl modules
(5/7) Updating fontconfig cache...
(6/7) Probing GDK-Pixbuf loader modules...
(7/7) Updating the info directory file...
==> Retrieving sources...
-> Downloading metronome-1.0.0.tar.gz...
==> Validating source files with sha256sums...
==> Extracting sources...
-> Extracting metronome-1.0.0.tar.gz with bsdtar
==> Starting build()...
The Meson build system
Version: 0.61.2
Source dir: /build/src/metronome-1.0.0
Build dir: /build/src/build
Build type: native build
Project name: com.github.artemanufrij.metronome
Project version: undefined
C compiler for the host machine: cc (gcc 11.2.0 "cc (GCC) 11.2.0")
C linker for the host machine: cc ld.bfd 2.38
Vala compiler for the host machine: valac (valac 0.54.7)
Host machine cpu family: x86_64
Host machine cpu: x86_64
Configuring Config.vala using configuration
Found pkg-config: /usr/bin/pkg-config (1.8.0)
Run-time dependency granite found: YES 6.2.0
Run-time dependency gstreamer-1.0 found: YES 1.20.0
Run-time dependency gtk+-3.0 found: YES 3.24.33
Build targets in project: 13
com.github.artemanufrij.metronome undefined
User defined options
auto_features: enabled
buildtype : plain
libexecdir : lib
prefix : /usr
sbindir : bin
wrap_mode : nodownload
b_lto : true
b_pie : true
Found ninja-1.10.2 at /usr/bin/ninja
ninja: Entering directory `/build/src/build'
[1/16] Generating po/fr/LC_MESSAGES/metronome-fr.mo with a custom command
[2/16] Generating po/de/LC_MESSAGES/metronome-de.mo with a custom command
[3/16] Generating po/nl/LC_MESSAGES/metronome-nl.mo with a custom command
[4/16] Generating po/lt/LC_MESSAGES/metronome-lt.mo with a custom command
[5/16] Generating data/com.github.artemanufrij.metronome.desktop with a custom command
[6/16] Generating data/com.github.artemanufrij.metronome.appdata.xml with a custom command
[7/16] Compiling Vala source ../metronome-1.0.0/src/Objects/Click.vala ../metronome-1.0.0/src/Objects/Preset.vala ../metronome-1.0.0/src/Widgets/Presets.vala ../metronome-1.0.0/src/Widgets/PresetRow.vala ../metronome-1.0.0/src/Widgets/Volumes.vala ../metronome-1.0.0/src/Settings.vala ../metronome-1.0.0/src/Metronome.vala src/Config.vala
../metronome-1.0.0/src/Widgets/PresetRow.vala:34.13-34.36: warning: `Gtk.Widget.margin_right' has been deprecated since 3.12
tempo_label.margin_right = 12;
^^^^^^^^^^^^^^^^^^^^^^^^
../metronome-1.0.0/src/Widgets/PresetRow.vala:40.13-40.35: warning: `Gtk.Widget.margin_right' has been deprecated since 3.12
beat_label.margin_right = 6;
^^^^^^^^^^^^^^^^^^^^^^^
../metronome-1.0.0/src/Metronome.vala:198.13-198.40: warning: `Gtk.Widget.margin_left' has been deprecated since 3.12
settings_buttons.margin_left = 24;
^^^^^^^^^^^^^^^^^^^^^^^^^^^^
../metronome-1.0.0/src/Metronome.vala:199.13-199.41: warning: `Gtk.Widget.margin_right' has been deprecated since 3.12
settings_buttons.margin_right = 24;
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
../metronome-1.0.0/src/Widgets/Presets.vala:109.54-109.96: warning: Access to possible `null'. Perform a check or use an unsafe cast.
debug ("save custom setting %s", (row as Metronome.Widgets.PresetRow).preset.get_setting_string ());
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
../metronome-1.0.0/src/Widgets/Presets.vala:110.48-110.90: warning: Access to possible `null'. Perform a check or use an unsafe cast.
custom_settings.append_val((row as Metronome.Widgets.PresetRow).preset.get_setting_string ());
^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
Compilation succeeded - 6 warning(s)
[8/16] Compiling C object com.github.artemanufrij.metronome.p/meson-generated_src_Objects_Preset.c.o
[9/16] Compiling C object com.github.artemanufrij.metronome.p/meson-generated_src_Objects_Click.c.o
[10/16] Compiling C object com.github.artemanufrij.metronome.p/meson-generated_Config.c.o
[11/16] Compiling C object com.github.artemanufrij.metronome.p/meson-generated_src_Widgets_PresetRow.c.o
[12/16] Compiling C object com.github.artemanufrij.metronome.p/meson-generated_src_Widgets_Volumes.c.o
[13/16] Compiling C object com.github.artemanufrij.metronome.p/meson-generated_src_Widgets_Presets.c.o
[14/16] Compiling C object com.github.artemanufrij.metronome.p/meson-generated_src_Metronome.c.o
[15/16] Compiling C object com.github.artemanufrij.metronome.p/meson-generated_src_Settings.c.o
[16/16] Linking target com.github.artemanufrij.metronome
==> Entering fakeroot environment...
==> Starting package()...
ninja: Entering directory `/build/src/build'
ninja: no work to do.
Installing data/com.github.artemanufrij.metronome.appdata.xml to /build/pkg/metronome/usr/share/metainfo
Installing data/com.github.artemanufrij.metronome.desktop to /build/pkg/metronome/usr/share/applications
Installing po/de/LC_MESSAGES/metronome.mo to /build/pkg/metronome/usr/share/locale/de/LC_MESSAGES
Installing po/fr/LC_MESSAGES/metronome.mo to /build/pkg/metronome/usr/share/locale/fr/LC_MESSAGES
Installing po/lt/LC_MESSAGES/metronome.mo to /build/pkg/metronome/usr/share/locale/lt/LC_MESSAGES
Installing po/nl/LC_MESSAGES/metronome.mo to /build/pkg/metronome/usr/share/locale/nl/LC_MESSAGES
Installing com.github.artemanufrij.metronome to /build/pkg/metronome/usr/bin
Installing /build/src/metronome-1.0.0/data/icons/32/com.github.artemanufrij.metronome.svg to /build/pkg/metronome/usr/share/icons/hicolor/32x32/apps
Installing /build/src/metronome-1.0.0/data/icons/48/com.github.artemanufrij.metronome.svg to /build/pkg/metronome/usr/share/icons/hicolor/48x48/apps
Installing /build/src/metronome-1.0.0/data/icons/com.github.artemanufrij.metronome.svg to /build/pkg/metronome/usr/share/icons/hicolor/64x64/apps
Installing /build/src/metronome-1.0.0/data/icons/com.github.artemanufrij.metronome.svg to /build/pkg/metronome/usr/share/icons/hicolor/128x128/apps
Installing /build/src/metronome-1.0.0/data/icons/symbol_crotchet.png to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/icons
Installing /build/src/metronome-1.0.0/data/icons/symbol_minim.png to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/icons
Installing /build/src/metronome-1.0.0/data/icons/symbol-quaver.png to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/icons
Installing /build/src/metronome-1.0.0/data/icons/symbol_semibreve.png to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/icons
Installing /build/src/metronome-1.0.0/data/icons/led_gray.png to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/icons
Installing /build/src/metronome-1.0.0/data/icons/led_green.png to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/icons
Installing /build/src/metronome-1.0.0/data/icons/led_red.png to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/icons
Installing /build/src/metronome-1.0.0/data/sounds/click_1.wav to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/sounds
Installing /build/src/metronome-1.0.0/data/sounds/click_2.wav to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/sounds
Installing /build/src/metronome-1.0.0/data/sounds/click_4.wav to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/sounds
Installing /build/src/metronome-1.0.0/data/sounds/click_8.wav to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/sounds
Installing /build/src/metronome-1.0.0/data/sounds/beat.wav to /build/pkg/metronome/usr/share/com.github.artemanufrij.metronome/sounds
Installing /build/src/metronome-1.0.0/schemas/org.pantheon.metronome.gschema.xml to /build/pkg/metronome/usr/share/glib-2.0/schemas
Running custom install script '/usr/bin/python /build/src/metronome-1.0.0/meson/post_install.py'
==> Tidying install...
-> Removing libtool files...
-> Purging unwanted files...
-> Removing static library files...
-> Stripping unneeded symbols from binaries and libraries...
-> Compressing man and info pages...
==> Checking for packaging issues...
==> Creating package "metronome"...
-> Generating .PKGINFO file...
-> Generating .BUILDINFO file...
-> Generating .MTREE file...
-> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: metronome 1.0.0-1 (Tue 08 Mar 2022 04:00:33 PM UTC)